package com.mortals.xhx.common.pdu.dept;

import com.mortals.framework.model.BaseEntityLong;

import java.util.List;

/**
* 部门Pdu对象
*
* @author zxfei
* @date 2022-12-09
*/
public class DeptPdu extends BaseEntityLong {
    private static final long serialVersionUID = 1L;

    /**
    * 从政务系统来的部门id
    */
    private String tid;
    /**
    * 从政务系统来的部门name
    */
    private String tname;
    /**
    * 部门名称
    */
    private String name;
    /**
    * 从政务系统来的别名
    */
    private String simpleName;
    /**
    * 站点ID
    */
    private Long siteId;
    /**
    * 部门简称
    */
    private String deptAbb;
    /**
    * 部门电话
    */
    private String deptTelphone;
    /**
    * 部门编号
    */
    private String deptNumber;
    /**
    * 填单机展示 (0.否，1.是) 
    */
    private Integer isAutotable;
    /**
    * 预约展示 (0.否，1.是) 
    */
    private Integer isOrder;
    /**
    * 背靠背展示 (0.否，1.是) 
    */
    private Integer isBkb;
    /**
    * 办事指南展示 (0.否，1.是) 
    */
    private Integer isWorkGuide;
    /**
    * 是否使用 (0.否，1.是) 
    */
    private Integer usValid;
    /**
    * 部门电话是否展示 (0.否，1.是) 
    */
    private Integer isSecphone;
    /**
    * 是否展示英文 (0.否，1.是) 
    */
    private Integer isEnglish;
    /**
    * 排序
    */
    private Integer sort;
    /**
    * 部门来源
    */
    private Integer source;

    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 从政务系统来的部门id */
    private List<String> tidList;

    /** 从政务系统来的部门name */
    private List<String> tnameList;

    /** 部门名称 */
    private List<String> nameList;

    /** 从政务系统来的别名 */
    private List<String> simpleNameList;

    /** 开始 站点ID */
    private Long siteIdStart;

    /** 结束 站点ID */
    private Long siteIdEnd;

    /** 增加 站点ID */
    private Long siteIdIncrement;

    /** 站点ID列表 */
    private List <Long> siteIdList;

    /** 部门简称 */
    private List<String> deptAbbList;

    /** 部门电话 */
    private List<String> deptTelphoneList;

    /** 部门编号 */
    private List<String> deptNumberList;

    /** 开始 填单机展示 (0.否，1.是)  */
    private Integer isAutotableStart;

    /** 结束 填单机展示 (0.否，1.是)  */
    private Integer isAutotableEnd;

    /** 增加 填单机展示 (0.否，1.是)  */
    private Integer isAutotableIncrement;

    /** 填单机展示 (0.否，1.是) 列表 */
    private List <Integer> isAutotableList;

    /** 开始 预约展示 (0.否，1.是)  */
    private Integer isOrderStart;

    /** 结束 预约展示 (0.否，1.是)  */
    private Integer isOrderEnd;

    /** 增加 预约展示 (0.否，1.是)  */
    private Integer isOrderIncrement;

    /** 预约展示 (0.否，1.是) 列表 */
    private List <Integer> isOrderList;

    /** 开始 背靠背展示 (0.否，1.是)  */
    private Integer isBkbStart;

    /** 结束 背靠背展示 (0.否，1.是)  */
    private Integer isBkbEnd;

    /** 增加 背靠背展示 (0.否，1.是)  */
    private Integer isBkbIncrement;

    /** 背靠背展示 (0.否，1.是) 列表 */
    private List <Integer> isBkbList;

    /** 开始 办事指南展示 (0.否，1.是)  */
    private Integer isWorkGuideStart;

    /** 结束 办事指南展示 (0.否，1.是)  */
    private Integer isWorkGuideEnd;

    /** 增加 办事指南展示 (0.否，1.是)  */
    private Integer isWorkGuideIncrement;

    /** 办事指南展示 (0.否，1.是) 列表 */
    private List <Integer> isWorkGuideList;

    /** 开始 是否使用 (0.否，1.是)  */
    private Integer usValidStart;

    /** 结束 是否使用 (0.否，1.是)  */
    private Integer usValidEnd;

    /** 增加 是否使用 (0.否，1.是)  */
    private Integer usValidIncrement;

    /** 是否使用 (0.否，1.是) 列表 */
    private List <Integer> usValidList;

    /** 开始 部门电话是否展示 (0.否，1.是)  */
    private Integer isSecphoneStart;

    /** 结束 部门电话是否展示 (0.否，1.是)  */
    private Integer isSecphoneEnd;

    /** 增加 部门电话是否展示 (0.否，1.是)  */
    private Integer isSecphoneIncrement;

    /** 部门电话是否展示 (0.否，1.是) 列表 */
    private List <Integer> isSecphoneList;

    /** 开始 是否展示英文 (0.否，1.是)  */
    private Integer isEnglishStart;

    /** 结束 是否展示英文 (0.否，1.是)  */
    private Integer isEnglishEnd;

    /** 增加 是否展示英文 (0.否，1.是)  */
    private Integer isEnglishIncrement;

    /** 是否展示英文 (0.否，1.是) 列表 */
    private List <Integer> isEnglishList;

    /** 开始 排序 */
    private Integer sortStart;

    /** 结束 排序 */
    private Integer sortEnd;

    /** 增加 排序 */
    private Integer sortIncrement;

    /** 排序列表 */
    private List <Integer> sortList;

    /** 开始 部门来源 */
    private Integer sourceStart;

    /** 结束 部门来源 */
    private Integer sourceEnd;

    /** 增加 部门来源 */
    private Integer sourceIncrement;

    /** 部门来源列表 */
    private List <Integer> sourceList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 修改时间 */
    private String updateTimeStart;

    /** 结束 修改时间 */
    private String updateTimeEnd;


    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeptPdu> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeptPdu> andConditionList;

    public DeptPdu(){}
    /**
    * 获取 从政务系统来的部门id
    * @return String
    */
    public String getTid(){
        return tid;
    }
    /**
    * 设置 从政务系统来的部门id
    * @param tid
    */
    public void setTid(String tid){
        this.tid = tid;
    }
    /**
    * 获取 从政务系统来的部门name
    * @return String
    */
    public String getTname(){
        return tname;
    }
    /**
    * 设置 从政务系统来的部门name
    * @param tname
    */
    public void setTname(String tname){
        this.tname = tname;
    }
    /**
    * 获取 部门名称
    * @return String
    */
    public String getName(){
        return name;
    }
    /**
    * 设置 部门名称
    * @param name
    */
    public void setName(String name){
        this.name = name;
    }
    /**
    * 获取 从政务系统来的别名
    * @return String
    */
    public String getSimpleName(){
        return simpleName;
    }
    /**
    * 设置 从政务系统来的别名
    * @param simpleName
    */
    public void setSimpleName(String simpleName){
        this.simpleName = simpleName;
    }
    /**
    * 获取 站点ID
    * @return Long
    */
    public Long getSiteId(){
        return siteId;
    }
    /**
    * 设置 站点ID
    * @param siteId
    */
    public void setSiteId(Long siteId){
        this.siteId = siteId;
    }
    /**
    * 获取 部门简称
    * @return String
    */
    public String getDeptAbb(){
        return deptAbb;
    }
    /**
    * 设置 部门简称
    * @param deptAbb
    */
    public void setDeptAbb(String deptAbb){
        this.deptAbb = deptAbb;
    }
    /**
    * 获取 部门电话
    * @return String
    */
    public String getDeptTelphone(){
        return deptTelphone;
    }
    /**
    * 设置 部门电话
    * @param deptTelphone
    */
    public void setDeptTelphone(String deptTelphone){
        this.deptTelphone = deptTelphone;
    }
    /**
    * 获取 部门编号
    * @return String
    */
    public String getDeptNumber(){
        return deptNumber;
    }
    /**
    * 设置 部门编号
    * @param deptNumber
    */
    public void setDeptNumber(String deptNumber){
        this.deptNumber = deptNumber;
    }
    /**
    * 获取 填单机展示 (0.否，1.是) 
    * @return Integer
    */
    public Integer getIsAutotable(){
        return isAutotable;
    }
    /**
    * 设置 填单机展示 (0.否，1.是) 
    * @param isAutotable
    */
    public void setIsAutotable(Integer isAutotable){
        this.isAutotable = isAutotable;
    }
    /**
    * 获取 预约展示 (0.否，1.是) 
    * @return Integer
    */
    public Integer getIsOrder(){
        return isOrder;
    }
    /**
    * 设置 预约展示 (0.否，1.是) 
    * @param isOrder
    */
    public void setIsOrder(Integer isOrder){
        this.isOrder = isOrder;
    }
    /**
    * 获取 背靠背展示 (0.否，1.是) 
    * @return Integer
    */
    public Integer getIsBkb(){
        return isBkb;
    }
    /**
    * 设置 背靠背展示 (0.否，1.是) 
    * @param isBkb
    */
    public void setIsBkb(Integer isBkb){
        this.isBkb = isBkb;
    }
    /**
    * 获取 办事指南展示 (0.否，1.是) 
    * @return Integer
    */
    public Integer getIsWorkGuide(){
        return isWorkGuide;
    }
    /**
    * 设置 办事指南展示 (0.否，1.是) 
    * @param isWorkGuide
    */
    public void setIsWorkGuide(Integer isWorkGuide){
        this.isWorkGuide = isWorkGuide;
    }
    /**
    * 获取 是否使用 (0.否，1.是) 
    * @return Integer
    */
    public Integer getUsValid(){
        return usValid;
    }
    /**
    * 设置 是否使用 (0.否，1.是) 
    * @param usValid
    */
    public void setUsValid(Integer usValid){
        this.usValid = usValid;
    }
    /**
    * 获取 部门电话是否展示 (0.否，1.是) 
    * @return Integer
    */
    public Integer getIsSecphone(){
        return isSecphone;
    }
    /**
    * 设置 部门电话是否展示 (0.否，1.是) 
    * @param isSecphone
    */
    public void setIsSecphone(Integer isSecphone){
        this.isSecphone = isSecphone;
    }
    /**
    * 获取 是否展示英文 (0.否，1.是) 
    * @return Integer
    */
    public Integer getIsEnglish(){
        return isEnglish;
    }
    /**
    * 设置 是否展示英文 (0.否，1.是) 
    * @param isEnglish
    */
    public void setIsEnglish(Integer isEnglish){
        this.isEnglish = isEnglish;
    }
    /**
    * 获取 排序
    * @return Integer
    */
    public Integer getSort(){
        return sort;
    }
    /**
    * 设置 排序
    * @param sort
    */
    public void setSort(Integer sort){
        this.sort = sort;
    }
    /**
    * 获取 部门来源
    * @return Integer
    */
    public Integer getSource(){
        return source;
    }
    /**
    * 设置 部门来源
    * @param source
    */
    public void setSource(Integer source){
        this.source = source;
    }

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 从政务系统来的部门id
    * @return tidList
    */
    public List<String> getTidList(){
        return this.tidList;
    }

    /**
    * 设置 从政务系统来的部门id
    * @param tidList
    */
    public void setTidList(List<String> tidList){
        this.tidList = tidList;
    }
    /**
    * 获取 从政务系统来的部门name
    * @return tnameList
    */
    public List<String> getTnameList(){
        return this.tnameList;
    }

    /**
    * 设置 从政务系统来的部门name
    * @param tnameList
    */
    public void setTnameList(List<String> tnameList){
        this.tnameList = tnameList;
    }
    /**
    * 获取 部门名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 部门名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }
    /**
    * 获取 从政务系统来的别名
    * @return simpleNameList
    */
    public List<String> getSimpleNameList(){
        return this.simpleNameList;
    }

    /**
    * 设置 从政务系统来的别名
    * @param simpleNameList
    */
    public void setSimpleNameList(List<String> simpleNameList){
        this.simpleNameList = simpleNameList;
    }
    /**
    * 获取 开始 站点ID
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点ID
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点ID
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点ID
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点ID
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点ID
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点ID
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点ID
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 部门简称
    * @return deptAbbList
    */
    public List<String> getDeptAbbList(){
        return this.deptAbbList;
    }

    /**
    * 设置 部门简称
    * @param deptAbbList
    */
    public void setDeptAbbList(List<String> deptAbbList){
        this.deptAbbList = deptAbbList;
    }
    /**
    * 获取 部门电话
    * @return deptTelphoneList
    */
    public List<String> getDeptTelphoneList(){
        return this.deptTelphoneList;
    }

    /**
    * 设置 部门电话
    * @param deptTelphoneList
    */
    public void setDeptTelphoneList(List<String> deptTelphoneList){
        this.deptTelphoneList = deptTelphoneList;
    }
    /**
    * 获取 部门编号
    * @return deptNumberList
    */
    public List<String> getDeptNumberList(){
        return this.deptNumberList;
    }

    /**
    * 设置 部门编号
    * @param deptNumberList
    */
    public void setDeptNumberList(List<String> deptNumberList){
        this.deptNumberList = deptNumberList;
    }
    /**
    * 获取 开始 填单机展示 (0.否，1.是) 
    * @return isAutotableStart
    */
    public Integer getIsAutotableStart(){
        return this.isAutotableStart;
    }

    /**
    * 设置 开始 填单机展示 (0.否，1.是) 
    * @param isAutotableStart
    */
    public void setIsAutotableStart(Integer isAutotableStart){
        this.isAutotableStart = isAutotableStart;
    }

    /**
    * 获取 结束 填单机展示 (0.否，1.是) 
    * @return $isAutotableEnd
    */
    public Integer getIsAutotableEnd(){
        return this.isAutotableEnd;
    }

    /**
    * 设置 结束 填单机展示 (0.否，1.是) 
    * @param isAutotableEnd
    */
    public void setIsAutotableEnd(Integer isAutotableEnd){
        this.isAutotableEnd = isAutotableEnd;
    }

    /**
    * 获取 增加 填单机展示 (0.否，1.是) 
    * @return isAutotableIncrement
    */
    public Integer getIsAutotableIncrement(){
        return this.isAutotableIncrement;
    }

    /**
    * 设置 增加 填单机展示 (0.否，1.是) 
    * @param isAutotableIncrement
    */
    public void setIsAutotableIncrement(Integer isAutotableIncrement){
        this.isAutotableIncrement = isAutotableIncrement;
    }

    /**
    * 获取 填单机展示 (0.否，1.是) 
    * @return isAutotableList
    */
    public List<Integer> getIsAutotableList(){
        return this.isAutotableList;
    }

    /**
    * 设置 填单机展示 (0.否，1.是) 
    * @param isAutotableList
    */
    public void setIsAutotableList(List<Integer> isAutotableList){
        this.isAutotableList = isAutotableList;
    }

    /**
    * 获取 开始 预约展示 (0.否，1.是) 
    * @return isOrderStart
    */
    public Integer getIsOrderStart(){
        return this.isOrderStart;
    }

    /**
    * 设置 开始 预约展示 (0.否，1.是) 
    * @param isOrderStart
    */
    public void setIsOrderStart(Integer isOrderStart){
        this.isOrderStart = isOrderStart;
    }

    /**
    * 获取 结束 预约展示 (0.否，1.是) 
    * @return $isOrderEnd
    */
    public Integer getIsOrderEnd(){
        return this.isOrderEnd;
    }

    /**
    * 设置 结束 预约展示 (0.否，1.是) 
    * @param isOrderEnd
    */
    public void setIsOrderEnd(Integer isOrderEnd){
        this.isOrderEnd = isOrderEnd;
    }

    /**
    * 获取 增加 预约展示 (0.否，1.是) 
    * @return isOrderIncrement
    */
    public Integer getIsOrderIncrement(){
        return this.isOrderIncrement;
    }

    /**
    * 设置 增加 预约展示 (0.否，1.是) 
    * @param isOrderIncrement
    */
    public void setIsOrderIncrement(Integer isOrderIncrement){
        this.isOrderIncrement = isOrderIncrement;
    }

    /**
    * 获取 预约展示 (0.否，1.是) 
    * @return isOrderList
    */
    public List<Integer> getIsOrderList(){
        return this.isOrderList;
    }

    /**
    * 设置 预约展示 (0.否，1.是) 
    * @param isOrderList
    */
    public void setIsOrderList(List<Integer> isOrderList){
        this.isOrderList = isOrderList;
    }

    /**
    * 获取 开始 背靠背展示 (0.否，1.是) 
    * @return isBkbStart
    */
    public Integer getIsBkbStart(){
        return this.isBkbStart;
    }

    /**
    * 设置 开始 背靠背展示 (0.否，1.是) 
    * @param isBkbStart
    */
    public void setIsBkbStart(Integer isBkbStart){
        this.isBkbStart = isBkbStart;
    }

    /**
    * 获取 结束 背靠背展示 (0.否，1.是) 
    * @return $isBkbEnd
    */
    public Integer getIsBkbEnd(){
        return this.isBkbEnd;
    }

    /**
    * 设置 结束 背靠背展示 (0.否，1.是) 
    * @param isBkbEnd
    */
    public void setIsBkbEnd(Integer isBkbEnd){
        this.isBkbEnd = isBkbEnd;
    }

    /**
    * 获取 增加 背靠背展示 (0.否，1.是) 
    * @return isBkbIncrement
    */
    public Integer getIsBkbIncrement(){
        return this.isBkbIncrement;
    }

    /**
    * 设置 增加 背靠背展示 (0.否，1.是) 
    * @param isBkbIncrement
    */
    public void setIsBkbIncrement(Integer isBkbIncrement){
        this.isBkbIncrement = isBkbIncrement;
    }

    /**
    * 获取 背靠背展示 (0.否，1.是) 
    * @return isBkbList
    */
    public List<Integer> getIsBkbList(){
        return this.isBkbList;
    }

    /**
    * 设置 背靠背展示 (0.否，1.是) 
    * @param isBkbList
    */
    public void setIsBkbList(List<Integer> isBkbList){
        this.isBkbList = isBkbList;
    }

    /**
    * 获取 开始 办事指南展示 (0.否，1.是) 
    * @return isWorkGuideStart
    */
    public Integer getIsWorkGuideStart(){
        return this.isWorkGuideStart;
    }

    /**
    * 设置 开始 办事指南展示 (0.否，1.是) 
    * @param isWorkGuideStart
    */
    public void setIsWorkGuideStart(Integer isWorkGuideStart){
        this.isWorkGuideStart = isWorkGuideStart;
    }

    /**
    * 获取 结束 办事指南展示 (0.否，1.是) 
    * @return $isWorkGuideEnd
    */
    public Integer getIsWorkGuideEnd(){
        return this.isWorkGuideEnd;
    }

    /**
    * 设置 结束 办事指南展示 (0.否，1.是) 
    * @param isWorkGuideEnd
    */
    public void setIsWorkGuideEnd(Integer isWorkGuideEnd){
        this.isWorkGuideEnd = isWorkGuideEnd;
    }

    /**
    * 获取 增加 办事指南展示 (0.否，1.是) 
    * @return isWorkGuideIncrement
    */
    public Integer getIsWorkGuideIncrement(){
        return this.isWorkGuideIncrement;
    }

    /**
    * 设置 增加 办事指南展示 (0.否，1.是) 
    * @param isWorkGuideIncrement
    */
    public void setIsWorkGuideIncrement(Integer isWorkGuideIncrement){
        this.isWorkGuideIncrement = isWorkGuideIncrement;
    }

    /**
    * 获取 办事指南展示 (0.否，1.是) 
    * @return isWorkGuideList
    */
    public List<Integer> getIsWorkGuideList(){
        return this.isWorkGuideList;
    }

    /**
    * 设置 办事指南展示 (0.否，1.是) 
    * @param isWorkGuideList
    */
    public void setIsWorkGuideList(List<Integer> isWorkGuideList){
        this.isWorkGuideList = isWorkGuideList;
    }

    /**
    * 获取 开始 是否使用 (0.否，1.是) 
    * @return usValidStart
    */
    public Integer getUsValidStart(){
        return this.usValidStart;
    }

    /**
    * 设置 开始 是否使用 (0.否，1.是) 
    * @param usValidStart
    */
    public void setUsValidStart(Integer usValidStart){
        this.usValidStart = usValidStart;
    }

    /**
    * 获取 结束 是否使用 (0.否，1.是) 
    * @return $usValidEnd
    */
    public Integer getUsValidEnd(){
        return this.usValidEnd;
    }

    /**
    * 设置 结束 是否使用 (0.否，1.是) 
    * @param usValidEnd
    */
    public void setUsValidEnd(Integer usValidEnd){
        this.usValidEnd = usValidEnd;
    }

    /**
    * 获取 增加 是否使用 (0.否，1.是) 
    * @return usValidIncrement
    */
    public Integer getUsValidIncrement(){
        return this.usValidIncrement;
    }

    /**
    * 设置 增加 是否使用 (0.否，1.是) 
    * @param usValidIncrement
    */
    public void setUsValidIncrement(Integer usValidIncrement){
        this.usValidIncrement = usValidIncrement;
    }

    /**
    * 获取 是否使用 (0.否，1.是) 
    * @return usValidList
    */
    public List<Integer> getUsValidList(){
        return this.usValidList;
    }

    /**
    * 设置 是否使用 (0.否，1.是) 
    * @param usValidList
    */
    public void setUsValidList(List<Integer> usValidList){
        this.usValidList = usValidList;
    }

    /**
    * 获取 开始 部门电话是否展示 (0.否，1.是) 
    * @return isSecphoneStart
    */
    public Integer getIsSecphoneStart(){
        return this.isSecphoneStart;
    }

    /**
    * 设置 开始 部门电话是否展示 (0.否，1.是) 
    * @param isSecphoneStart
    */
    public void setIsSecphoneStart(Integer isSecphoneStart){
        this.isSecphoneStart = isSecphoneStart;
    }

    /**
    * 获取 结束 部门电话是否展示 (0.否，1.是) 
    * @return $isSecphoneEnd
    */
    public Integer getIsSecphoneEnd(){
        return this.isSecphoneEnd;
    }

    /**
    * 设置 结束 部门电话是否展示 (0.否，1.是) 
    * @param isSecphoneEnd
    */
    public void setIsSecphoneEnd(Integer isSecphoneEnd){
        this.isSecphoneEnd = isSecphoneEnd;
    }

    /**
    * 获取 增加 部门电话是否展示 (0.否，1.是) 
    * @return isSecphoneIncrement
    */
    public Integer getIsSecphoneIncrement(){
        return this.isSecphoneIncrement;
    }

    /**
    * 设置 增加 部门电话是否展示 (0.否，1.是) 
    * @param isSecphoneIncrement
    */
    public void setIsSecphoneIncrement(Integer isSecphoneIncrement){
        this.isSecphoneIncrement = isSecphoneIncrement;
    }

    /**
    * 获取 部门电话是否展示 (0.否，1.是) 
    * @return isSecphoneList
    */
    public List<Integer> getIsSecphoneList(){
        return this.isSecphoneList;
    }

    /**
    * 设置 部门电话是否展示 (0.否，1.是) 
    * @param isSecphoneList
    */
    public void setIsSecphoneList(List<Integer> isSecphoneList){
        this.isSecphoneList = isSecphoneList;
    }

    /**
    * 获取 开始 是否展示英文 (0.否，1.是) 
    * @return isEnglishStart
    */
    public Integer getIsEnglishStart(){
        return this.isEnglishStart;
    }

    /**
    * 设置 开始 是否展示英文 (0.否，1.是) 
    * @param isEnglishStart
    */
    public void setIsEnglishStart(Integer isEnglishStart){
        this.isEnglishStart = isEnglishStart;
    }

    /**
    * 获取 结束 是否展示英文 (0.否，1.是) 
    * @return $isEnglishEnd
    */
    public Integer getIsEnglishEnd(){
        return this.isEnglishEnd;
    }

    /**
    * 设置 结束 是否展示英文 (0.否，1.是) 
    * @param isEnglishEnd
    */
    public void setIsEnglishEnd(Integer isEnglishEnd){
        this.isEnglishEnd = isEnglishEnd;
    }

    /**
    * 获取 增加 是否展示英文 (0.否，1.是) 
    * @return isEnglishIncrement
    */
    public Integer getIsEnglishIncrement(){
        return this.isEnglishIncrement;
    }

    /**
    * 设置 增加 是否展示英文 (0.否，1.是) 
    * @param isEnglishIncrement
    */
    public void setIsEnglishIncrement(Integer isEnglishIncrement){
        this.isEnglishIncrement = isEnglishIncrement;
    }

    /**
    * 获取 是否展示英文 (0.否，1.是) 
    * @return isEnglishList
    */
    public List<Integer> getIsEnglishList(){
        return this.isEnglishList;
    }

    /**
    * 设置 是否展示英文 (0.否，1.是) 
    * @param isEnglishList
    */
    public void setIsEnglishList(List<Integer> isEnglishList){
        this.isEnglishList = isEnglishList;
    }

    /**
    * 获取 开始 排序
    * @return sortStart
    */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
    * 设置 开始 排序
    * @param sortStart
    */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
    * 获取 结束 排序
    * @return $sortEnd
    */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
    * 获取 增加 排序
    * @return sortIncrement
    */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
    * 获取 排序
    * @return sortList
    */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
    * 获取 开始 部门来源
    * @return sourceStart
    */
    public Integer getSourceStart(){
        return this.sourceStart;
    }

    /**
    * 设置 开始 部门来源
    * @param sourceStart
    */
    public void setSourceStart(Integer sourceStart){
        this.sourceStart = sourceStart;
    }

    /**
    * 获取 结束 部门来源
    * @return $sourceEnd
    */
    public Integer getSourceEnd(){
        return this.sourceEnd;
    }

    /**
    * 设置 结束 部门来源
    * @param sourceEnd
    */
    public void setSourceEnd(Integer sourceEnd){
        this.sourceEnd = sourceEnd;
    }

    /**
    * 获取 增加 部门来源
    * @return sourceIncrement
    */
    public Integer getSourceIncrement(){
        return this.sourceIncrement;
    }

    /**
    * 设置 增加 部门来源
    * @param sourceIncrement
    */
    public void setSourceIncrement(Integer sourceIncrement){
        this.sourceIncrement = sourceIncrement;
    }

    /**
    * 获取 部门来源
    * @return sourceList
    */
    public List<Integer> getSourceList(){
        return this.sourceList;
    }

    /**
    * 设置 部门来源
    * @param sourceList
    */
    public void setSourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 修改时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 修改时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 修改时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 修改时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public DeptPdu id(Long id){
	    setId(id);
		return this;
    }

	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public DeptPdu idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public DeptPdu idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public DeptPdu idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public DeptPdu idList(List<Long> idList){
        this.idList = idList;
		return this;
        }


	/**
    * 设置 从政务系统来的部门id
    * @param tid
    */
    public DeptPdu tid(String tid){
        setTid(tid);
		return this;
    }

    /**
    * 设置 从政务系统来的部门id
    * @param tidList
    */
    public DeptPdu tidList(List<String> tidList){
        this.tidList = tidList;
		return this;
    }


	/**
    * 设置 从政务系统来的部门name
    * @param tname
    */
    public DeptPdu tname(String tname){
        setTname(tname);
		return this;
    }

    /**
    * 设置 从政务系统来的部门name
    * @param tnameList
    */
    public DeptPdu tnameList(List<String> tnameList){
        this.tnameList = tnameList;
		return this;
    }


	/**
    * 设置 部门名称
    * @param name
    */
    public DeptPdu name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 部门名称
    * @param nameList
    */
    public DeptPdu nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 从政务系统来的别名
    * @param simpleName
    */
    public DeptPdu simpleName(String simpleName){
        setSimpleName(simpleName);
		return this;
    }

    /**
    * 设置 从政务系统来的别名
    * @param simpleNameList
    */
    public DeptPdu simpleNameList(List<String> simpleNameList){
        this.simpleNameList = simpleNameList;
		return this;
    }

    /**
    * 设置  站点ID
    * @param siteId
    */
    public DeptPdu siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }

	 /**
    * 设置 开始 站点ID
    * @param siteIdStart
    */
    public DeptPdu siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点ID
    * @param siteIdEnd
    */
    public DeptPdu siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点ID
    * @param siteIdIncrement
    */
    public DeptPdu siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点ID
    * @param siteIdList
    */
    public DeptPdu siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }


	/**
    * 设置 部门简称
    * @param deptAbb
    */
    public DeptPdu deptAbb(String deptAbb){
        setDeptAbb(deptAbb);
		return this;
    }

    /**
    * 设置 部门简称
    * @param deptAbbList
    */
    public DeptPdu deptAbbList(List<String> deptAbbList){
        this.deptAbbList = deptAbbList;
		return this;
    }


	/**
    * 设置 部门电话
    * @param deptTelphone
    */
    public DeptPdu deptTelphone(String deptTelphone){
        setDeptTelphone(deptTelphone);
		return this;
    }

    /**
    * 设置 部门电话
    * @param deptTelphoneList
    */
    public DeptPdu deptTelphoneList(List<String> deptTelphoneList){
        this.deptTelphoneList = deptTelphoneList;
		return this;
    }


	/**
    * 设置 部门编号
    * @param deptNumber
    */
    public DeptPdu deptNumber(String deptNumber){
        setDeptNumber(deptNumber);
		return this;
    }

    /**
    * 设置 部门编号
    * @param deptNumberList
    */
    public DeptPdu deptNumberList(List<String> deptNumberList){
        this.deptNumberList = deptNumberList;
		return this;
    }

    /**
    * 设置  填单机展示 (0.否，1.是) 
    * @param isAutotable
    */
    public DeptPdu isAutotable(Integer isAutotable){
	    setIsAutotable(isAutotable);
		return this;
    }

	 /**
    * 设置 开始 填单机展示 (0.否，1.是) 
    * @param isAutotableStart
    */
    public DeptPdu isAutotableStart(Integer isAutotableStart){
		this.isAutotableStart = isAutotableStart;
		return this;
    }

    /**
    * 设置 结束 填单机展示 (0.否，1.是) 
    * @param isAutotableEnd
    */
    public DeptPdu isAutotableEnd(Integer isAutotableEnd){
		this.isAutotableEnd = isAutotableEnd;
		return this;
    }

    /**
    * 设置 增加 填单机展示 (0.否，1.是) 
    * @param isAutotableIncrement
    */
    public DeptPdu isAutotableIncrement(Integer isAutotableIncrement){
		this.isAutotableIncrement = isAutotableIncrement;
		return this;
    }

    /**
    * 设置 填单机展示 (0.否，1.是) 
    * @param isAutotableList
    */
    public DeptPdu isAutotableList(List<Integer> isAutotableList){
        this.isAutotableList = isAutotableList;
		return this;
        }

    /**
    * 设置  预约展示 (0.否，1.是) 
    * @param isOrder
    */
    public DeptPdu isOrder(Integer isOrder){
	    setIsOrder(isOrder);
		return this;
    }

	 /**
    * 设置 开始 预约展示 (0.否，1.是) 
    * @param isOrderStart
    */
    public DeptPdu isOrderStart(Integer isOrderStart){
		this.isOrderStart = isOrderStart;
		return this;
    }

    /**
    * 设置 结束 预约展示 (0.否，1.是) 
    * @param isOrderEnd
    */
    public DeptPdu isOrderEnd(Integer isOrderEnd){
		this.isOrderEnd = isOrderEnd;
		return this;
    }

    /**
    * 设置 增加 预约展示 (0.否，1.是) 
    * @param isOrderIncrement
    */
    public DeptPdu isOrderIncrement(Integer isOrderIncrement){
		this.isOrderIncrement = isOrderIncrement;
		return this;
    }

    /**
    * 设置 预约展示 (0.否，1.是) 
    * @param isOrderList
    */
    public DeptPdu isOrderList(List<Integer> isOrderList){
        this.isOrderList = isOrderList;
		return this;
        }

    /**
    * 设置  背靠背展示 (0.否，1.是) 
    * @param isBkb
    */
    public DeptPdu isBkb(Integer isBkb){
	    setIsBkb(isBkb);
		return this;
    }

	 /**
    * 设置 开始 背靠背展示 (0.否，1.是) 
    * @param isBkbStart
    */
    public DeptPdu isBkbStart(Integer isBkbStart){
		this.isBkbStart = isBkbStart;
		return this;
    }

    /**
    * 设置 结束 背靠背展示 (0.否，1.是) 
    * @param isBkbEnd
    */
    public DeptPdu isBkbEnd(Integer isBkbEnd){
		this.isBkbEnd = isBkbEnd;
		return this;
    }

    /**
    * 设置 增加 背靠背展示 (0.否，1.是) 
    * @param isBkbIncrement
    */
    public DeptPdu isBkbIncrement(Integer isBkbIncrement){
		this.isBkbIncrement = isBkbIncrement;
		return this;
    }

    /**
    * 设置 背靠背展示 (0.否，1.是) 
    * @param isBkbList
    */
    public DeptPdu isBkbList(List<Integer> isBkbList){
        this.isBkbList = isBkbList;
		return this;
        }

    /**
    * 设置  办事指南展示 (0.否，1.是) 
    * @param isWorkGuide
    */
    public DeptPdu isWorkGuide(Integer isWorkGuide){
	    setIsWorkGuide(isWorkGuide);
		return this;
    }

	 /**
    * 设置 开始 办事指南展示 (0.否，1.是) 
    * @param isWorkGuideStart
    */
    public DeptPdu isWorkGuideStart(Integer isWorkGuideStart){
		this.isWorkGuideStart = isWorkGuideStart;
		return this;
    }

    /**
    * 设置 结束 办事指南展示 (0.否，1.是) 
    * @param isWorkGuideEnd
    */
    public DeptPdu isWorkGuideEnd(Integer isWorkGuideEnd){
		this.isWorkGuideEnd = isWorkGuideEnd;
		return this;
    }

    /**
    * 设置 增加 办事指南展示 (0.否，1.是) 
    * @param isWorkGuideIncrement
    */
    public DeptPdu isWorkGuideIncrement(Integer isWorkGuideIncrement){
		this.isWorkGuideIncrement = isWorkGuideIncrement;
		return this;
    }

    /**
    * 设置 办事指南展示 (0.否，1.是) 
    * @param isWorkGuideList
    */
    public DeptPdu isWorkGuideList(List<Integer> isWorkGuideList){
        this.isWorkGuideList = isWorkGuideList;
		return this;
        }

    /**
    * 设置  是否使用 (0.否，1.是) 
    * @param usValid
    */
    public DeptPdu usValid(Integer usValid){
	    setUsValid(usValid);
		return this;
    }

	 /**
    * 设置 开始 是否使用 (0.否，1.是) 
    * @param usValidStart
    */
    public DeptPdu usValidStart(Integer usValidStart){
		this.usValidStart = usValidStart;
		return this;
    }

    /**
    * 设置 结束 是否使用 (0.否，1.是) 
    * @param usValidEnd
    */
    public DeptPdu usValidEnd(Integer usValidEnd){
		this.usValidEnd = usValidEnd;
		return this;
    }

    /**
    * 设置 增加 是否使用 (0.否，1.是) 
    * @param usValidIncrement
    */
    public DeptPdu usValidIncrement(Integer usValidIncrement){
		this.usValidIncrement = usValidIncrement;
		return this;
    }

    /**
    * 设置 是否使用 (0.否，1.是) 
    * @param usValidList
    */
    public DeptPdu usValidList(List<Integer> usValidList){
        this.usValidList = usValidList;
		return this;
        }

    /**
    * 设置  部门电话是否展示 (0.否，1.是) 
    * @param isSecphone
    */
    public DeptPdu isSecphone(Integer isSecphone){
	    setIsSecphone(isSecphone);
		return this;
    }

	 /**
    * 设置 开始 部门电话是否展示 (0.否，1.是) 
    * @param isSecphoneStart
    */
    public DeptPdu isSecphoneStart(Integer isSecphoneStart){
		this.isSecphoneStart = isSecphoneStart;
		return this;
    }

    /**
    * 设置 结束 部门电话是否展示 (0.否，1.是) 
    * @param isSecphoneEnd
    */
    public DeptPdu isSecphoneEnd(Integer isSecphoneEnd){
		this.isSecphoneEnd = isSecphoneEnd;
		return this;
    }

    /**
    * 设置 增加 部门电话是否展示 (0.否，1.是) 
    * @param isSecphoneIncrement
    */
    public DeptPdu isSecphoneIncrement(Integer isSecphoneIncrement){
		this.isSecphoneIncrement = isSecphoneIncrement;
		return this;
    }

    /**
    * 设置 部门电话是否展示 (0.否，1.是) 
    * @param isSecphoneList
    */
    public DeptPdu isSecphoneList(List<Integer> isSecphoneList){
        this.isSecphoneList = isSecphoneList;
		return this;
        }

    /**
    * 设置  是否展示英文 (0.否，1.是) 
    * @param isEnglish
    */
    public DeptPdu isEnglish(Integer isEnglish){
	    setIsEnglish(isEnglish);
		return this;
    }

	 /**
    * 设置 开始 是否展示英文 (0.否，1.是) 
    * @param isEnglishStart
    */
    public DeptPdu isEnglishStart(Integer isEnglishStart){
		this.isEnglishStart = isEnglishStart;
		return this;
    }

    /**
    * 设置 结束 是否展示英文 (0.否，1.是) 
    * @param isEnglishEnd
    */
    public DeptPdu isEnglishEnd(Integer isEnglishEnd){
		this.isEnglishEnd = isEnglishEnd;
		return this;
    }

    /**
    * 设置 增加 是否展示英文 (0.否，1.是) 
    * @param isEnglishIncrement
    */
    public DeptPdu isEnglishIncrement(Integer isEnglishIncrement){
		this.isEnglishIncrement = isEnglishIncrement;
		return this;
    }

    /**
    * 设置 是否展示英文 (0.否，1.是) 
    * @param isEnglishList
    */
    public DeptPdu isEnglishList(List<Integer> isEnglishList){
        this.isEnglishList = isEnglishList;
		return this;
        }

    /**
    * 设置  排序
    * @param sort
    */
    public DeptPdu sort(Integer sort){
	    setSort(sort);
		return this;
    }

	 /**
    * 设置 开始 排序
    * @param sortStart
    */
    public DeptPdu sortStart(Integer sortStart){
		this.sortStart = sortStart;
		return this;
    }

    /**
    * 设置 结束 排序
    * @param sortEnd
    */
    public DeptPdu sortEnd(Integer sortEnd){
		this.sortEnd = sortEnd;
		return this;
    }

    /**
    * 设置 增加 排序
    * @param sortIncrement
    */
    public DeptPdu sortIncrement(Integer sortIncrement){
		this.sortIncrement = sortIncrement;
		return this;
    }

    /**
    * 设置 排序
    * @param sortList
    */
    public DeptPdu sortList(List<Integer> sortList){
        this.sortList = sortList;
		return this;
        }

    /**
    * 设置  部门来源
    * @param source
    */
    public DeptPdu source(Integer source){
	    setSource(source);
		return this;
    }

	 /**
    * 设置 开始 部门来源
    * @param sourceStart
    */
    public DeptPdu sourceStart(Integer sourceStart){
		this.sourceStart = sourceStart;
		return this;
    }

    /**
    * 设置 结束 部门来源
    * @param sourceEnd
    */
    public DeptPdu sourceEnd(Integer sourceEnd){
		this.sourceEnd = sourceEnd;
		return this;
    }

    /**
    * 设置 增加 部门来源
    * @param sourceIncrement
    */
    public DeptPdu sourceIncrement(Integer sourceIncrement){
		this.sourceIncrement = sourceIncrement;
		return this;
    }

    /**
    * 设置 部门来源
    * @param sourceList
    */
    public DeptPdu sourceList(List<Integer> sourceList){
        this.sourceList = sourceList;
		return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public DeptPdu createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }

	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public DeptPdu createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public DeptPdu createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public DeptPdu createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public DeptPdu createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }



/**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DeptPdu> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DeptPdu> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DeptPdu> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DeptPdu> andConditionList){
        this.andConditionList = andConditionList;
    }

    @Override
    public int hashCode() {
         return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof DeptPdu) {
            DeptPdu tmp = (DeptPdu) obj;
            if (this.getId() == tmp.getId()) {
                 return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

            this.tid = null;

            this.tname = null;

            this.name = null;

            this.simpleName = null;

            this.siteId = null;

            this.deptAbb = null;

            this.deptTelphone = null;

            this.deptNumber = null;

            this.isAutotable = 1;

            this.isOrder = 1;

            this.isBkb = 1;

            this.isWorkGuide = 1;

            this.usValid = 1;

            this.isSecphone = 1;

            this.isEnglish = 1;

            this.sort = 0;

            this.source = 0;
    }
}